package org.eso.ohs.phase2.apps.ot.actions;

import java.awt.event.ActionEvent;

import javax.swing.JOptionPane;

import org.eso.ohs.core.gui.baseaction.ActionSuperclass;
import org.eso.ohs.phase2.apps.ot.wizard.OrangEngine;
import org.eso.ohs.phase2.apps.ot.wizard.OrangGUI;
import org.eso.ohs.phase2.orang.OrangModel;

/**
 * @author pnunes 08.02.2006
 *
 */
public class OrangTimelineAction extends ActionSuperclass {

	private OrangModel model;
	private OrangEngine engine;
	private OrangGUI gui;	
	
	public OrangTimelineAction(OrangGUI frm, String name, OrangModel model , OrangEngine engine) {
		super(frm, name);
		this.gui = frm;
		this.model = model;
		this.engine = engine;
	}

	public void actionPerformedImpl(ActionEvent ev) {

		if (gui.validTimeline()) {			
				gui.updateModel();				
				engine.showTimeline(model);				
				
			} else {
				JOptionPane.showMessageDialog(gui, gui.getValidationString(),
						"Invalid input", JOptionPane.ERROR_MESSAGE);
			}
	}

}
