/**
 * 
 */
package org.eso.ohs.phase2.apps.ot.gui;

import javax.swing.ListSelectionModel;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;

import org.apache.log4j.Logger;

public class TableListSelectionListener implements ListSelectionListener {
	/**
     * 
     */
    private final TableMenuEnable table;

    private static Logger stdlog_ = Logger.getLogger(TableListSelectionListener.class);

    public TableListSelectionListener(TableMenuEnable table) {
		this.table = table;
        stdlog_.debug("Table list listener: @@@@@@@@@@@@@@@ Constructor called");
	}

	public void valueChanged(ListSelectionEvent ev) {
		if (ev.getValueIsAdjusting()) {
			return;
		}
		ListSelectionModel lsm = (ListSelectionModel) ev.getSource();
		int selectedRow = lsm.getMinSelectionIndex();
		stdlog_.debug("Table list listener: Value Changed " + ev);
		if (!lsm.isSelectionEmpty() && selectedRow >= 0) {
            table.setEnabled(true);
		} else {
            table.setEnabled(false);
		}
	}
}