// -*-c++-*-

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// COPYRIGHT (c) European Southern Observatory
// LICENSE:   ESO internal use only
// 
// PROJECT:   VLT Data Flow System
// AUTHOR:    Christophe Moins- ESO/DMD/DFS
// SUBSYSTEM: arcsys - Archive Systems
//
// $Revision: 1.3 $
// $Log: NgasFileServiceSyb.h,v $
// Revision 1.3  2006/12/15 15:23:40  cmoins
// DAO & Service design modification
//
// Revision 1.2  2006/12/14 13:59:10  cmoins
// cvs header adding
//
//
// Sybase Data access service layer to NgasFile objects
// 
//------------------------------------------------------------------------------

#ifndef NGAS_FILE_SERVICE_SYB_H
#define NGAS_FILE_SERVICE_SYB_H

#include "NgasFileService.h"
#include "NgasFileDAOSyb.h"
#include "ServiceConnectionSyb.h"

/// Sybase Data access service layer to NgasFile objects
/**
 * This class can be used to access NgasFile objects stored
 * in a sybase repository
 */
typedef NgasFileService<NgasFileDAOSyb,ServiceConnectionSyb> NgasFileServiceSyb;

#endif //NGAS_FILE_SERVICE_SYB_H
