// -*-c++-*-

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// COPYRIGHT (c) European Southern Observatory
// LICENSE:   ESO internal use only
// 
// PROJECT:   VLT Data Flow System
// AUTHOR:    Christophe Moins- ESO/DMD/DFS
// SUBSYSTEM: arcsys - Archive Systems
//
// $Revision: 1.1 $
// $Log: ObsProgPackageSyb.h,v $
// Revision 1.1  2007/04/25 15:57:41  cmoins
// *** empty log message ***
//
// 
//------------------------------------------------------------------------------

#ifndef OBS_PROG_PACKAGE_SYB_H
#define OBS_PROG_PACKAGE_SYB_H

#include "ObsProgPackage.h"
#include "ObservationServiceSyb.h"
#include "StorageServiceSyb.h"


/**
 Observation Program Package meant to retrieve files associated to observation
 blocks or programs, to store them in a staging area and to update a media
 request data repository. It relies on two sybase based service layer classes
*/
typedef ObsProgPackage<ObservationServiceSyb,StorageServiceSyb>
ObsProgPackageSyb;

#endif //  OBS_PROG_PACKAGE_SYB_H
