#ifndef utilCHRONOMETER_H
#define utilCHRONOMETER_H
/******************************************************************************
 *
 * E.S.O. - Archive System
 *
 * "@(#) $Id: utilCHRONOMETER.h,v 1.1 2004/09/21 12:45:40 cguirao Exp $"
 *
 * Who       When        What
 * --------  ----------  ----------------------------------------------
 * jknudstr  28/01/2000  Created
 */

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include <time.h>

#include "slx.h"

#include "utilDefs.h"
#include "utilHASH.h"


class utilCHRONOMETER : public eccsERROR_CLASS
{
  public:
    utilCHRONOMETER();
    ~utilCHRONOMETER();

    utilSTAT  Start(const char  *timerName);
    utilSTAT  Stop(const char  *timerName,
		  double      *time);
    double   Stop(const char  *timerName);

  protected:

  private:
    utilHASH  timerTbl_;
};

#endif /*!utilCHRONOMETER_H*/

// --- oOo ---
