package org.eso.ohs.core.dbb.client;

import javax.swing.JTextField;

import org.eso.ohs.core.dbb.sql.DbbSqlChunk;
import org.eso.ohs.core.gui.models.DeclinationModel;
import org.eso.ohs.core.gui.models.RightAscensionModel;

public class DbbCoordinateTextField extends DbbTextField {

  protected boolean isRightAscension_ = true;

  /** Create a DbbTextField object.
   * 
   * @param labeltext	Label text to be displayed.
   * @param chunk	DbbSqlChunk object
   *  */
  public DbbCoordinateTextField(String labeltext, 
				DbbSqlChunk chunk, 
				boolean is_Ra) {

    super(labeltext, chunk);

    isRightAscension_ = is_Ra;

    JTextField tf = (JTextField)widget_;

    if(isRightAscension_)
      tf.setDocument(new RightAscensionModel());
    else
      tf.setDocument(new DeclinationModel());
  }

}

