package org.eso.ohs.core.dbb.client;

// $Id: DbbTableListener.java,v 1.1 2004/02/17 11:16:24 tcanavan Exp $

import java.util.EventListener;

/**
 * DbbTableListener is the interface defining the generic behavior of
 * all the objects registered for receiving DbbTable events.
 *
 * @author Carlo Boarotto, ESO 19-Jul-1999
 */
public interface DbbTableListener extends EventListener {

  /** 
   * Table sort event handler.
   * @param ev	DbbTableSortEvent event.
   */
  public void tableSortAction(DbbTableSortEvent event);
}

