package org.eso.ohs.core.gui.models;

/**
 * A Document model to only permit the input of a list of
 * floating-point values.
 * 
 * <p>
 * $Id: FloatListModel.java,v 1.1 2004/02/17 10:35:21 tcanavan Exp $
 */
public class FloatListModel extends InputMaskModel {

    /** The regular expression describing legal buffer values */
    private final static String legalValuesPattern_ =
	"\\s?" + FloatModel.floatPattern_
	+ "(\\s" + FloatModel.floatPattern_ + ")*\\s*";

    /**
     * Constructor for the model.
     */
    public FloatListModel() {
	super(legalValuesPattern_);
    }

}

