package org.eso.ohs.core.gui.widgets;

import java.util.EventObject;

/**
 * @author pnunes 07.12.2005
 *
 */
public class ProgressModelEvent extends EventObject {

		
	private int currentValue;
	private int min;
	private int max;

	public ProgressModelEvent(Object source) {
		super(source);
	}
	
	public ProgressModelEvent(Object source, int value, int min , int max) {
		super(source);
		this.currentValue = value;
		this.min = min;
		this.max = max;
	}
	
	public int getValue() {
		return(currentValue);
	}
	
	public int getMinimum() {
		return( min);
	}
	
	public int getMaximum() {
		return( max);
	}
	
	
	
}
