package org.eso.ohs.dfs;

import org.eso.ohs.core.dbb.client.DbbDataType;


/**
 * This is a helper class for the DBB which enables the displaying 
 * of comments so that if a comment is present an * is returned. 
 * else it is left blank.  
 */

public class CommentType implements DbbDataType {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1082127256311519874L;
	

	public int getDataTypeLength() {
		return 0;
	}

	public Class getDataType() {
		return String.class;
	}

	public Class getDatabaseType() {
		return String.class;
	}

	public String fromDatabaseData(Object value) {
		if(value != null && ((String)value).trim().length() > 0) {
			return "*";
		}
		return "";	    
	}

	public Object toDatabaseData(String value) {
		return null;
	}

    
   

}
