/* $Id: OpcPanel.java,v 1.5 2006/01/13 11:01:33 ddorigo Exp $ */

package org.eso.ohs.dfs;




/**
 * Observing Programme business object class.
 * <br>
 * 
 * @author Carlo Boarotto, 10-Mar-2000
 */
public class OpcPanel extends BusinessObject {
    
  
    private static final long serialVersionUID = 1L;
    private int opcSubpanel_ = -1;
    private String panel_ = "";
    private int cycleId_ = -1;

    //----------------------------------------
    // Constructor
    //----------------------------------------

    /**
     * Create a OpcPanel and set its id.
     */
    public OpcPanel() {
	super();
    }


    //----------------------------------------
    // Public Methods
    //----------------------------------------




   /**
     * Set new value for property
     *
     * @param cycleId the new value for the property
     */
    public void setOpcSubpanel(int opcSubpanel) {
	    opcSubpanel_ = opcSubpanel;
    }


    /**
     * Get value for  property
     *
     * @return the current value of the property
     */
    public int getOpcSubpanel() {
	    return opcSubpanel_;
    }



    /**
     * Set new value for panel
     *
     * @param cycle_label the new value for the property
     */
    public void setPanel(String panel) {
	panel_ = panel;
    }


    /**
     * Get value for panel
     *
     * @return the current value of the property
     */
    public String getPanel() {
	    return panel_;
    }


    /**
     * Set new value for period
     *
     * @param period the new value for the property
     */
    public void setCycleId(int cycleId) {
	    cycleId_ = cycleId;
    }


    /**
     * Get value for period
     *
     * @return the current value of the property
     */
    public int getCycleId() {
	    return cycleId_;
    }
    
    /**
     * Get name of the panel group (panel+opcsubpanel)
     *
     * @return the current value of the property
     */
    public String getOpcSubpanelName() {
	    return new String(panel_+ opcSubpanel_);
    }


    public Object accept(BusinessVisitor v, Object arg) {
	return null;
    }
    /**
     * @see org.eso.ohs.dfs.StorableObject#postProecess()
     */
    public void postProecess() {
    }
}

