package org.eso.ohs.phase2.apps.ot.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import org.eso.ohs.phase2.apps.ot.gui.OTClipboard;
import org.eso.ohs.phase2.apps.ot.gui.QueueItemsBView;

public class PasteToClipboardAction extends AbstractAction {

	private QueueItemsBView dbbView;

	public PasteToClipboardAction(QueueItemsBView dbbView) {
		super("Paste");
		this.dbbView = dbbView;
	}


	/** Paste from OTClipboard */
	private void pasteFromOTClipboard() {
		Object[] content = OTClipboard.getContent();
		long[] set = new long[content.length];
		for (int i = 0; i < content.length; i++) {
			set[i] = ((Long) content[i]).longValue();
		}
		dbbView.appendOBs(set);
	}
	
	public void actionPerformed(ActionEvent e) {
		pasteFromOTClipboard();
		
	}
}
