package org.eso.ohs.phase2.apps.ot.gui;


import java.util.Vector;




/**
 *This class provides a set of static methods
 *for copying and pasting data into a clipBoard 
 */

public class OTClipboard {

  private static Vector<Object> collection = new Vector<Object>();

    
  /**Resets the content of the clipboard*/
  public static void clear()
  {
  collection.removeAllElements();
  }
    
  /**
   *Insert a set of objects into the clipboard
   *Each time an inset operation is performed the 
   *previous clipboard's content is removed
   */
  public static void insert(Object[] set)
  {
  collection.removeAllElements();
  for (int i=0; i<set.length;i++)
    {
    collection.addElement(set[i]);
    }
  }


  /**Returns the content of the clipboard
  *@return the content of the clipboard
  **/
  public static Object[] getContent()
  {
  Object[] returnSet = new Object[collection.size()];
  for (int i=0;i<collection.size();i++)
    {
    returnSet[i]=collection.elementAt(i);
    }
  return returnSet;
  }

    
   

}

  


    
   
