package org.eso.ohs.phase2.apps.ot.wizard;

import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JSpinner;
import javax.swing.SpinnerNumberModel;

import org.eso.ohs.core.gui.widgets.OHSButtonGroup;
import org.eso.ohs.persistence.AppConfig;
import org.eso.ohs.phase2.orang.OrangModel;
import org.eso.ohs.phase2.visibility.VisicalcOptions;

public class OBVisibilityPanel extends JPanel {

	private OHSButtonGroup buttongroupFLI = new OHSButtonGroup(OrangGUICommon.BUTTONGROUP_FLI);
	private OHSButtonGroup buttongroupMoonA = new OHSButtonGroup(OrangGUICommon.BUTTONGROUP_MOON_A);
	private OHSButtonGroup buttongroupMoonD = new OHSButtonGroup(OrangGUICommon.BUTTONGROUP_MOON_D);
	private OHSButtonGroup buttongroupSidTimeInt = new OHSButtonGroup(OrangGUICommon.BUTTONGROUP_SID_TIME);
	private OHSButtonGroup buttongroupSun = new OHSButtonGroup(OrangGUICommon.BUTTONGROUP_SUN);
	private OHSButtonGroup buttongroupTimeInt = new OHSButtonGroup(OrangGUICommon.BUTTONGROUP_TIME_INT);
	private OHSButtonGroup buttongroupZenith = new OHSButtonGroup(OrangGUICommon.BUTTONGROUP_ZENITH);
	private JLabel labelAirmass = new JLabel();
	private JLabel labelFLI = new JLabel();
	
	private JLabel labelMoonAngle = new JLabel();
	private JLabel labelMoonDistance = new JLabel();
	private JLabel labelSunAngle = new JLabel();
	private JLabel labelToleranceAirmass = new JLabel();
	private JLabel labelToleranceFLI = new JLabel();
	private JLabel labelToleranceMoonAngle = new JLabel();
	private JLabel labelToleranceMoonDistance = new JLabel();
	private JLabel labelToleranceSunAngle = new JLabel();
	private JRadioButton radioButtonActiveFLI = new JRadioButton();
	private JRadioButton radioButtonActiveMoonAngle = new JRadioButton();
	private JRadioButton radioButtonActiveMoonDistance = new JRadioButton();
	private JRadioButton radioButtonActiveSidTimeInt = new JRadioButton();
	private JRadioButton radioButtonActiveSunAngle = new JRadioButton();
	private JRadioButton radioButtonActiveTimeInterval = new JRadioButton();
	private JRadioButton radioButtonActiveZenith = new JRadioButton();
	private JRadioButton radioButtonInactiveFLI = new JRadioButton();
	private JRadioButton radioButtonInactiveMoonAngle = new JRadioButton();
	private JRadioButton radioButtonInactiveMoonDistance = new JRadioButton();
	private JRadioButton radioButtonInactiveSidTimeInt = new JRadioButton();
	private JRadioButton radioButtonInactiveSunAngle = new JRadioButton();
	private JRadioButton radioButtonInactiveTimeInterval = new JRadioButton();
	private JRadioButton radioButtonInactiveZenith = new JRadioButton();
	private JSpinner spinnerToleranceAirmass = new JSpinner();
	private JSpinner spinnerToleranceFLI = new JSpinner();
	private JSpinner spinnerToleranceMoonAngle = new JSpinner();
	private JSpinner spinnerToleranceMoonDistance = new JSpinner();
	private JSpinner spinnerToleranceSunAngle = new JSpinner();
	private JLabel labelTimeInterval = new JLabel();
	private JLabel labelSidTimeInterval = new JLabel();
	private JLabel labelZenith = new JLabel();
	private String valString;

	
	
	
	public OBVisibilityPanel() {
		createPanel();
	}


	public JPanel createPanel() {
		GridBagLayout gridBagLayout = new GridBagLayout();
	    setLayout(gridBagLayout);	   	   
	
	   
	   GridBagConstraints gridBagConstraints ;       
	   
	   
	   // airmass line
	   labelAirmass.setName("labelAirmass");
	   labelAirmass.setText("Airmass");
	
	   spinnerToleranceAirmass.setName("spinnerToleranceAirmass");
	  
	
	   labelToleranceAirmass.setName("labelToleranceAirmass");
	   labelToleranceAirmass.setText("% tolerance");

       // sun angle line
       labelSunAngle.setName("labelSunAngle");
       labelSunAngle.setText("Sun Max Elevation");  
       labelSunAngle.setToolTipText("Maximum Elevation Below Horizon");

       radioButtonInactiveSunAngle.setActionCommand("Inactive");
       radioButtonInactiveSunAngle.setName("radioButtonInactiveSunAngle");
       radioButtonInactiveSunAngle.setText("Inactive");
       buttongroupSun.add(radioButtonInactiveSunAngle);

       radioButtonActiveSunAngle.setActionCommand("Active");
       radioButtonActiveSunAngle.setName("radioButtonActiveSunAngle");
       radioButtonActiveSunAngle.setText("Active");
       buttongroupSun.add(radioButtonActiveSunAngle);
    
       spinnerToleranceSunAngle.setName("spinnerToleranceSunAngle");  
       labelToleranceSunAngle.setName("labelToleranceSunAngle");
       labelToleranceSunAngle.setText("degrees");
       
     

	   // fli line
	   labelFLI.setName("labelFLI");
	   labelFLI.setText("FLI");
	 
       
	   radioButtonInactiveFLI.setActionCommand("Inactive");
	   radioButtonInactiveFLI.setName("radioButtonInactiveFLI");
	   radioButtonInactiveFLI.setText("Inactive");
	   buttongroupFLI.add(radioButtonInactiveFLI);
	  
	
	   radioButtonActiveFLI.setActionCommand("Active");
	   radioButtonActiveFLI.setName("radioButtonActiveFLI");
	   radioButtonActiveFLI.setText("Active");
	   buttongroupFLI.add(radioButtonActiveFLI);
	 
	   spinnerToleranceFLI.setName("spinnerToleranceFLI");	   
	  
	   labelToleranceFLI.setName("labelToleranceFLI");
	   labelToleranceFLI.setText("% tolerance");
  
	   // moon distance line
	   labelMoonDistance.setText("Moon Distance");
	 
	   radioButtonInactiveMoonDistance.setActionCommand("Inactive");
	   radioButtonInactiveMoonDistance.setName("radioButtonInactiveMoonDistance");
	   radioButtonInactiveMoonDistance.setText("Inactive");
	   buttongroupMoonD.add(radioButtonInactiveMoonDistance);
	  
	   radioButtonActiveMoonDistance.setActionCommand("Active");
	   radioButtonActiveMoonDistance.setName("radioButtonActiveMoonDistance");
	   radioButtonActiveMoonDistance.setText("Active");
	   buttongroupMoonD.add(radioButtonActiveMoonDistance);
	  
	   spinnerToleranceMoonDistance.setName("spinnerToleranceMoonDistance");
	   
	   labelToleranceMoonDistance.setName("labelToleranceMoonDistance");
	   labelToleranceMoonDistance.setText("% tolerance");
       
      
	   // moon angle line	   
	   labelMoonAngle.setName("labelMoonAngle");
	   labelMoonAngle.setText("Moon Elevation");
	
	   radioButtonInactiveMoonAngle.setActionCommand("Inactive");
	   radioButtonInactiveMoonAngle.setName("radioButtonInactiveMoonAngle");
	   radioButtonInactiveMoonAngle.setText("Inactive");
	   buttongroupMoonA.add(radioButtonInactiveMoonAngle);
	 
	   radioButtonActiveMoonAngle.setActionCommand("Active");
	   radioButtonActiveMoonAngle.setName("radioButtonActiveMoonAngle");
	   radioButtonActiveMoonAngle.setText("Active");
	   buttongroupMoonA.add(radioButtonActiveMoonAngle);
	 
	   spinnerToleranceMoonAngle.setName("spinnerToleranceMoonAngle");
	  
	   labelToleranceMoonAngle.setName("labelToleranceMoonAngle");
	   labelToleranceMoonAngle.setText("degrees");
       
     
	
	   // time interval
	   labelTimeInterval.setText("Time Interval");
	   labelTimeInterval.setToolTipText("User Defined Time Interval");
		   	   	  
	
	   radioButtonInactiveTimeInterval.setActionCommand("Inactive");
	   radioButtonInactiveTimeInterval.setName("radioButtonInactiveTimeInterval");
	   radioButtonInactiveTimeInterval.setText("Inactive");
	   buttongroupTimeInt.add(radioButtonInactiveTimeInterval);
	  
	   radioButtonActiveTimeInterval.setActionCommand("Active");
	   radioButtonActiveTimeInterval.setName("radioButtonActiveTimeInterval");
	   radioButtonActiveTimeInterval.setText("Active");
	   buttongroupTimeInt.add(radioButtonActiveTimeInterval);
	  
	   // sidereal time interval
	   labelSidTimeInterval.setText("Sidereal Time Interval");
	   labelSidTimeInterval.setToolTipText("User Defined Time Interval");
	   
	   radioButtonInactiveSidTimeInt.setActionCommand("Inactive");
	   radioButtonInactiveSidTimeInt.setName("radioButtonInactiveSidTimeInt");
	   radioButtonInactiveSidTimeInt.setText("Inactive");
	   buttongroupSidTimeInt.add(radioButtonInactiveSidTimeInt);
	 
	   radioButtonActiveSidTimeInt.setActionCommand("Active");
	   radioButtonActiveSidTimeInt.setName("radioButtonActiveSidTimeInt");
	   radioButtonActiveSidTimeInt.setText("Active");
	   buttongroupSidTimeInt.add(radioButtonActiveSidTimeInt);


	   //zenith line
	   
	   labelZenith .setText("Zenith Avoidance");
       labelZenith.setToolTipText("Telescope avoidance angle:"+AppConfig.getAppConfig().getValue(VisicalcOptions.telescopeConstraintKeyword)+" degrees");
         
	   radioButtonInactiveZenith.setActionCommand("Inactive");
	   radioButtonInactiveZenith.setName("radioButtonInactiveZenith");
	   radioButtonInactiveZenith.setText("Inactive");
	   buttongroupZenith.add(radioButtonInactiveZenith);
	   
	 
	   radioButtonActiveZenith.setActionCommand("Active");
	   radioButtonActiveZenith.setName("radioButtonActiveZenith");
	   radioButtonActiveZenith.setText("Active");
	   buttongroupZenith.add(radioButtonActiveZenith);
	  
       int currentRowWidget = 1;
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(0, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(labelAirmass,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(1, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       gridBagConstraints.fill = GridBagConstraints.HORIZONTAL;
       add(spinnerToleranceAirmass,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(2, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(labelToleranceAirmass,gridBagConstraints);     
  
       
       currentRowWidget++;
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(0, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(labelFLI,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(1, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(radioButtonInactiveFLI,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(2, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(radioButtonActiveFLI,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(3, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       gridBagConstraints.fill = GridBagConstraints.HORIZONTAL; 
       add(spinnerToleranceFLI,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(4, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(labelToleranceFLI,gridBagConstraints); 
       
       currentRowWidget++;
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(0, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(labelMoonDistance,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(1, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(radioButtonInactiveMoonDistance,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(2, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(radioButtonActiveMoonDistance,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(3, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       gridBagConstraints.fill = GridBagConstraints.HORIZONTAL;
       add(spinnerToleranceMoonDistance,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(4, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(labelToleranceMoonDistance,gridBagConstraints);
       
       currentRowWidget++;
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(0, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(labelSunAngle,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(1, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(radioButtonInactiveSunAngle,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(2, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(radioButtonActiveSunAngle,gridBagConstraints);
      gridBagConstraints = OrangGUICommon.getGridBagConstraints(3, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       gridBagConstraints.fill = GridBagConstraints.HORIZONTAL;
       add(spinnerToleranceSunAngle,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(4, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(labelToleranceSunAngle,gridBagConstraints);
       
       currentRowWidget++;
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(0, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(labelMoonAngle,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(1, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(radioButtonInactiveMoonAngle,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(2, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(radioButtonActiveMoonAngle,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(3, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       gridBagConstraints.fill = GridBagConstraints.HORIZONTAL;
       add(spinnerToleranceMoonAngle,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(4, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(labelToleranceMoonAngle,gridBagConstraints);
           
       currentRowWidget++;
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(0, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(labelTimeInterval,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(1, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(radioButtonInactiveTimeInterval,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(2, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(radioButtonActiveTimeInterval,gridBagConstraints);
       
       currentRowWidget++;
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(0, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(labelSidTimeInterval,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(1, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(radioButtonInactiveSidTimeInt,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(2, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(radioButtonActiveSidTimeInt,gridBagConstraints);
       
    
       currentRowWidget++;
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(0, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(labelZenith,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(1, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(radioButtonInactiveZenith,gridBagConstraints);
       gridBagConstraints = OrangGUICommon.getGridBagConstraints(2, currentRowWidget, GridBagConstraints.WEST,1,5,0,0);
       add(radioButtonActiveZenith,gridBagConstraints);
      
       
	   initializePanel();
		   
	   return this;
	}
	
	
	/**
     * Initializer
     */
    protected void initializePanel() {
    	
    	spinnerToleranceAirmass.setModel(new SpinnerNumberModel(0, 0, 100, 1));
    	spinnerToleranceFLI.setModel(new SpinnerNumberModel(0, 0, 100, 1));
    	spinnerToleranceMoonDistance.setModel(new SpinnerNumberModel(0, 0, 100, 1));
    	spinnerToleranceMoonAngle.setModel(new SpinnerNumberModel(0, -180, +180, 1));
    	spinnerToleranceSunAngle.setModel(new SpinnerNumberModel(-18, -180, +180, 1));
  
        radioButtonActiveFLI.setSelected(true);
        radioButtonActiveMoonDistance.setSelected(true);
        radioButtonActiveSunAngle.setSelected(true);
        radioButtonActiveMoonAngle.setSelected(true);
        radioButtonInactiveTimeInterval.setSelected(true);
        radioButtonInactiveSidTimeInt.setSelected(true);  
        radioButtonActiveZenith.setSelected(true);  
               
        // these calls are made to update the wizards model
        radioButtonActiveFLI.doClick();
        radioButtonActiveMoonDistance.doClick();
        radioButtonActiveSunAngle.doClick();
        radioButtonActiveMoonAngle.doClick();
        radioButtonInactiveTimeInterval.doClick();
        radioButtonInactiveSidTimeInt.doClick();
        radioButtonActiveZenith.doClick();
    }


	public JRadioButton getRadioButtonActiveFLI() {
		return radioButtonActiveFLI;
	}


	public JRadioButton getRadioButtonActiveMoonAngle() {
		return radioButtonActiveMoonAngle;
	}


	public JRadioButton getRadioButtonActiveMoonDistance() {
		return radioButtonActiveMoonDistance;
	}


	public JRadioButton getRadioButtonActiveSidTimeInt() {
		return radioButtonActiveSidTimeInt;
	}


	public JRadioButton getRadioButtonActiveSunAngle() {
		return radioButtonActiveSunAngle;
	}


	public JRadioButton getRadioButtonActiveTimeInterval() {
		return radioButtonActiveTimeInterval;
	}


	public JRadioButton getRadioButtonActiveZenith() {
		return radioButtonActiveZenith;
	}


	public JRadioButton getRadioButtonInactiveFLI() {
		return radioButtonInactiveFLI;
	}


	public JRadioButton getRadioButtonInactiveMoonAngle() {
		return radioButtonInactiveMoonAngle;
	}


	public JRadioButton getRadioButtonInactiveMoonDistance() {
		return radioButtonInactiveMoonDistance;
	}


	public JRadioButton getRadioButtonInactiveSidTimeInt() {
		return radioButtonInactiveSidTimeInt;
	}


	public JRadioButton getRadioButtonInactiveSunAngle() {
		return radioButtonInactiveSunAngle;
	}


	public JRadioButton getRadioButtonInactiveTimeInterval() {
		return radioButtonInactiveTimeInterval;
	}


	public JRadioButton getRadioButtonInactiveZenith() {
		return radioButtonInactiveZenith;
	}


	public JSpinner getSpinnerToleranceAirmass() {
		return spinnerToleranceAirmass;
	}


	public JSpinner getSpinnerToleranceFLI() {
		return spinnerToleranceFLI;
	}


	public JSpinner getSpinnerToleranceMoonAngle() {
		return spinnerToleranceMoonAngle;
	}


	public JSpinner getSpinnerToleranceMoonDistance() {
		return spinnerToleranceMoonDistance;
	}


	public JSpinner getSpinnerToleranceSunAngle() {
		return spinnerToleranceSunAngle;
	}
	
	  

    protected boolean isReady() {
        boolean result = false;    
        
        if (buttongroupFLI.getSelection() != null
                && buttongroupMoonD.getSelection() != null
                && buttongroupSun.getSelection() != null
                && buttongroupMoonA.getSelection() != null
                && buttongroupTimeInt.getSelection() != null
                && buttongroupZenith.getSelection() != null
                    && buttongroupSidTimeInt.getSelection() != null) {
            result = true;
        }
        
        if (result == false)
        	valString = "\nInvalid Visibility settings.";
        
        return result;
    }


	public void updateModel(OrangModel model) {		
		String airmassPerc = getStringValue(spinnerToleranceAirmass);				
		model.setAirmassValuePercentage(new Integer(airmassPerc).intValue());
				
		String fliPerc = getStringValue(spinnerToleranceFLI);				
		model.setFliRelaxPercentage(new Integer(fliPerc).intValue());
		
		
		String moonAngle = getStringValue(spinnerToleranceMoonAngle);				
		model.setMoonAngleDegree(new Integer(moonAngle).intValue());
		
		String moonDistTolerance = getStringValue(spinnerToleranceMoonDistance);				
		model.setMoonRelaxPercentage(new Integer(moonDistTolerance).intValue());
		

		String sunAngle= getStringValue(spinnerToleranceSunAngle);				
		model.setSunAngleDegree(new Integer(sunAngle).intValue());
		
		
		boolean fliEnabled = radioButtonActiveFLI.isSelected();
		boolean moonDistEnabled = radioButtonActiveMoonDistance.isSelected();
		boolean moonAngleEnabled = radioButtonActiveMoonAngle.isSelected();
		boolean sunAngleEnabled = radioButtonActiveSunAngle.isSelected();
		boolean zenithEnabled = radioButtonActiveZenith.isSelected();
		boolean timeIntEnabled = radioButtonActiveTimeInterval.isSelected();
		boolean sidTimeIntEnabled = radioButtonActiveSidTimeInt.isSelected();
		
		model.setFliConstrain(fliEnabled);
		model.setMoonDistanceConstrain(moonDistEnabled);
		model.setMoonAngleConstrain(moonAngleEnabled);
		model.setSunAngleConstrain(sunAngleEnabled);
		model.setTelescopeZenithConstraint(zenithEnabled);
		model.setTimeIntervalConstrain(timeIntEnabled);
		model.setSidTimeIntervalConstrain(sidTimeIntEnabled);
		

		
	}
	
	
	 /**
     * @param spinner
     * @return String
     */
    private String getStringValue(JSpinner spinner) {
    	String valueString;
    	Object value = spinner.getModel().getValue();
    	if (value  instanceof Number) {
    		valueString = ((Number)value).toString();
    	} else if (value  instanceof String) {
    		valueString = (String) value;
    	} else {
    		valueString = value.toString();
    	}
    	return valueString;
    }


    public String getValidationString() {
    	if ( valString != null ) 
    		return valString;
    	else
    		return "";
    	
	}
    

}
