#ifndef _stcrypt_h_
#define _stcrypt_h_
/*+
************************************************************************
****  C A N A D I A N   A S T R O N O M Y   D A T A   C E N T R E  *****
*
*   Include File Name:	stcrypt/h/stcrypt.h
*
*   Purpose:
*	Function declarations and status codes used by stcrypt functions.
*
*   Date		: Nov 24, 1992
*
*   SCCS data		: @(#)
*	Module Name	: stcrypt.h
*	Version Number	: 4.1
*	Release Number	: 4
*	Last Updated	: 11/25/92
*
*   Programmer		: Severin Gaudet
*
*   Modification History:
*
****  C A N A D I A N   A S T R O N O M Y   D A T A   C E N T R E  *****
************************************************************************
-*/

#include <stdio.h>
#include <string.h>
#include "des.h"

/*
 *  Status codes.
 */


#define	STC_SUCCESS		0
#define	STC_E_DECODE		1
#define	STC_E_ENCODE		2


/*
 *  Function declarations.
 */

int stdecrypt(char *inbuf, char *outbuf);
int dbrc_read(char *server, char *database, char *username, char *password, char *error_msg);

extern	int stencrypt();

#endif /* _stcrypt_h_ */
