package org.eso.ohs.core.gui.models;

/**
 * A Document model to only permit the input of a list of
 * double values.
 * 
 * <p>
 * $Id: DoubleModel.java,v 1.1.2.1 2006/10/09 13:19:58 gdonino Exp $
 */
public class DoubleModel extends InputMaskModel {

 
	/** The regular expression describing legal buffer values */
    public final static String doublePattern_ =
	    "-?\\d*(\\.\\d*)?([eE][+-]?\\d*)?";

    /**
     * Constructor for the model.
     */
    public DoubleModel() {
	super(doublePattern_);
    }

}

