package org.eso.ohs.persistence;

import java.util.Vector;

/**
 * This exception is thrown when an error occurs while importing a target list file
 * 
 * @author pnunes Nov 7, 2005
 *
 */
public class GtoTargetImportException extends Exception {

	Vector errorList_ = new Vector();

	public GtoTargetImportException(String arg0) {
		super(arg0);
	}

	/**
	 * @return Returns the errorList.
	 */
	public Vector getErrorList() {
		return errorList_;
	}

	/**
	 * @param errorList The errorList to set.
	 */
	public void setErrorList(Vector errorList) {
		this.errorList_ = errorList;
	}


}
