package org.eso.ohs.persistence;

import org.eso.ohs.core.dbb.client.DbbDataType;

public class ProposalSummaryStatus implements DbbDataType {
	/**
	 * Field FIGURE_RECEIVED
	 */
	public static final int FIGURE_EMPTY = 0;
	/**
	 * Field FIGURE_RECEIVED
	 */
	public static final int FIGURE_RECEIVED = 1;
	
	/**
	 * Field FIGURE_IN_PROCESS
	 */
	public static final int FIGURE_IN_PROCESS = 2;
	/**
	 * Field FIGURE_SAVED
	 */
	public static final int FIGURE_SAVED = 3;
	/**
		* Field SUBMITTED
		*/
	public static final int RECEIVED_INT = 0;
	/**
	* Field SUBMITTED
	*/
	public static final int WRONG_PROPOSAL_INT = 1;
	/**
	* Field VERIFIED
	*/
	public static final int VERIFIED_INT = 2;
	/**
		* Field SUBMITTED
		*/
	public static final int SUBMITTED_INT = 3;
	/**
	* Field IN_PROCESS
	*/
	public static final int WRITER_PROCESS_INT = 4;
	/**
		 * Field INSERT_DONE
		 */
	public static final int INSERT_DONE_INT = 5;
	/**
	 * Field WRITER_ERROR
	 */
	public static final int WRITER_ERROR_INT = 6;
	/**
		 * Field WRITER_ERROR
		 */
	public static final int RECEIVER_PROCESS_INT = 7;
	
	
	/**
	 * Field RECEIVER_WARNING
	 */
	public static final int RECEIVER_WARNING_INT = 8;
	
	
	/**
	* Field SUBMITTED
	*/
	public static final String RECEIVED = "received";
	/**
	* Field SUBMITTED
	*/
	public static final String WRONG_PROPOSAL = "wrong";
	/**
	* Field SUBMITTED
	*/
	public static final String VERIFIED = "verified";
	/**
	* Field SUBMITTED
	*/
	public static final String SUBMITTED = "submitted";
	/**
	* Field IN_PROCESS
	*/
	public static final String WRITER_PROCESS = "process";
	/**
		 * Field INSERT_DONE
		 */
	public static final String INSERT_DONE = "done";
	/**
	 * Field WRITER_ERROR
	 */
	public static final String WRITER_ERROR = "error";
	/**
	 * Field WRITER_ERROR
	 */
	public static final String RECEIVER_PROCESS = "receiver";

	public static final Integer[] summary_array_int =
		{
			new Integer(RECEIVED_INT),
			new Integer(WRONG_PROPOSAL_INT),
			new Integer(VERIFIED_INT),
			new Integer(SUBMITTED_INT),
			new Integer(WRITER_PROCESS_INT),
			new Integer(INSERT_DONE_INT),
			new Integer(WRITER_ERROR_INT),
			new Integer(RECEIVER_PROCESS_INT)};

	public static final String[] summary_array_string =
		{
			RECEIVED,
			WRONG_PROPOSAL,
			VERIFIED,
			SUBMITTED,
			WRITER_PROCESS,
			INSERT_DONE,
			WRITER_ERROR,
			RECEIVER_PROCESS };
	static final long CONVERT = 10;
	private final static String DEFAULT_ = "           ";


	public int getDataTypeLength() {
		return DEFAULT_.length();
	}

	public Class getDataType() {
		return String.class;
	}

	public Class getDatabaseType() {
		return Integer.class;
	}

	public String fromDatabaseData(Object value) {

		int val = ((Integer) (value)).intValue();

		String ret = " ";
		ret = convertIntStatusToString(val);
		return ret;
	}

	public static String convertIntStatusToString(int val) {
		String ret;
		switch (val) {
			case RECEIVED_INT :
				ret = RECEIVED;
				break;
			case WRONG_PROPOSAL_INT :
				ret = WRONG_PROPOSAL;
				break;
			case WRITER_PROCESS_INT :
				ret = WRITER_PROCESS;
				break;
			case VERIFIED_INT :
				ret = VERIFIED;
				break;
			case INSERT_DONE_INT :
				ret = INSERT_DONE;
				break;
			case SUBMITTED_INT :
				ret = SUBMITTED;
				break;
			case WRITER_ERROR_INT :
				ret = WRITER_ERROR;
				break;
			case RECEIVER_PROCESS_INT :
				ret = RECEIVER_PROCESS;
				break;
			default :
				ret = WRITER_ERROR;
				break;
		}
		return ret;
	}

	public Object toDatabaseData(String value) {
		int val = -1;
		if (value.equals(RECEIVED)) {
			val = RECEIVED_INT;
		} else if (value.equals(WRONG_PROPOSAL)) {
			val = WRONG_PROPOSAL_INT;
		} else if (value.equals(VERIFIED)) {
			val = VERIFIED_INT;
		} else if (value.equals(WRITER_PROCESS)) {
			val = WRITER_PROCESS_INT;
		} else if (value.equals(INSERT_DONE)) {
			val = INSERT_DONE_INT;
		} else if (value.equals(SUBMITTED)) {
			val = SUBMITTED_INT;
		} else if (value.equals(RECEIVER_PROCESS)) {
			val = RECEIVER_PROCESS_INT;
		} else if (value.equals(WRITER_ERROR)) {
			val = WRITER_ERROR_INT;
		}

		return (new Integer(val));
	}

}
