package org.eso.ohs.persistence.dao;

import java.util.List;

import org.eso.ohs.dfs.account.Country;
import org.springframework.dao.DataAccessException;
import org.springframework.orm.hibernate3.HibernateTemplate;

public class InstitutionDAOHibernate implements InstitutionDAO {
    private HibernateTemplate hibernateTemplate; 

    public InstitutionDAOHibernate() {
        hibernateTemplate = new HibernateTemplate();
    }


	public List findAll(Country country) throws DataAccessException {
        Object [] tokens = new Object [1];
        tokens[0] = country.getCountryId();
        List l = hibernateTemplate.find("from Institution Institution where Institution.country.countryId = ?",tokens);
        return l;	
	}


	public HibernateTemplate getHibernateTemplate() {
		return hibernateTemplate;
	}

	public void setHibernateTemplate(HibernateTemplate hibernateTemplate) {
		this.hibernateTemplate = hibernateTemplate;
	}

}
