package org.eso.ohs.persistence.service;

import org.springframework.aop.ThrowsAdvice;
import org.springframework.mail.MailSender;
import org.springframework.mail.SimpleMailMessage;

public class EmailNotificationThrowsAdvice implements ThrowsAdvice {
     private MailSender mailSender;
     private SimpleMailMessage mailMessage;
     
     
	public SimpleMailMessage getMailMessage() {
		return mailMessage;
	}
	public void setMailMessage(SimpleMailMessage mailMessage) {
		this.mailMessage = mailMessage;
	}
	public MailSender getMailSender() {
		return mailSender;
	}
	public void setMailSender(MailSender mailSender) {
		this.mailSender = mailSender;
	}
     
	public void afterThrowing(Exception ex) {
		//String to = new String[1];
		//SimpleMailMessage msg = new SimpleMailMessage();
		mailMessage.setText("Encountered Exception" +ex.getMessage());		
		this.mailSender.send(mailMessage);
	}
	
	
}
