package org.eso.ohs.scripting;

/**
 * API for finding charts
 *
 * @author pnunes
 *
 */
public interface FindingChartAPI {

	/**
	 * FindingChart name
	 * @return
	 */
	public String getName();

	/**
	 * FindingChart height in pixels
	 * @return number of pixels
	 */
	public int getHeight();

	/**
	 * FindingChart width in pixels
	 * @return
	 */
	public int getWidth();


	/**
	 * Returns the number of bytes
	 * @return
	 */
	public int getSize();

}
